package net.sevecek.zakladniwebapp;

import java.util.*;
import org.springframework.stereotype.*;
import org.springframework.web.bind.annotation.*;
import org.springframework.web.servlet.*;

@Controller
public class HlavniController {

    @RequestMapping("/ukazka.html")
    public ModelAndView zobrazUkazku() {
        ModelAndView modelAndView = new ModelAndView(
                "/WEB-INF/view/ukazka.jsp");
        modelAndView.addObject("jmeno", "Kamil");
        return modelAndView;
    }

    List<String> vyroky = Arrays.asList(
            "Když jsem přijížděl domů, vjel jsem omylem do jiného dvora a naboural do stromu, protože ho doma na tomto místě nemám.",
            "To druhé auto do mne nabouralo bez jakéhokoliv předchozího varování.",
            "Myslel jsem, že mám stažené okénko. Zjistil jsem ale, že je zavřené, když jsem vystrčil ruku ven.",
            "Srazil jsem se se stojícím nákladním automobilem, když přijížděl z opačného směru.",
            "Ten dědula, kterého jsem porazil, by se na druhou stranu silnice stejně nedostal.",
            "Chodec do mne narazil a pak mi skočil pod auto.",
            "Ten chodec váhal, kterým směrem se má vydat, tak jsem ho přejel.");


    @RequestMapping("/vyrok.html")
    public ModelAndView zobrazVyrok() {
        ModelAndView modelAndView = new ModelAndView(
                "/WEB-INF/view/vyrok.jsp");
        Integer cisloVyroku = (int)(Math.random()*vyroky.size());
        String jednaVeta = vyroky.get(cisloVyroku);
        modelAndView.addObject("veta", jednaVeta);
        return modelAndView;
    }

}
